Debian-Sicherheitsankündigung

tcsh -- Pufferüberlauf bei sehr langen Pfaden

Datum des Berichts:
22. Sep 1998
Betroffene Pakete:
tcsh
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
Im Augenblick ist keine weitere externe Sicherheitsdatenbank-Referenz verfügbar.
Weitere Informationen:

Wir haben herausgefunden, dass die tcsh ein Problem mit sehr langen Pfadnamen hat. Falls ein sehr langer Pfadname verarbeitet wird, versagte »tcsh« an allen Stellen bei der Prüfung des Ergebnisses von getcwd(), was ausgenutzt werden konnte.

Wir empfehlen Ihnen, Ihr tcsh-Paket unverzüglich zu aktualisieren.

Behoben in:
All - (in Version 2.0) 6.07.06-5